Bug 2072127 - [abrt] quassel-client: MessageModel::changeOfDay(): quasselclient killed by SIGSEGV
Summary: [abrt] quassel-client: MessageModel::changeOfDay(): quasselclient killed by S...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: quassel
Version: 35
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Egeland
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5939b96779781b78cc85e45a005...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-05 16:33 UTC by Elliott Tallis
Modified: 2022-12-13 17:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-13 17:31:59 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (78.54 KB, text/plain)
2022-04-05 16:33 UTC, Elliott Tallis
no flags Details
File: cgroup (107 bytes, text/plain)
2022-04-05 16:33 UTC, Elliott Tallis
no flags Details
File: core_backtrace (19.91 KB, text/plain)
2022-04-05 16:33 UTC, Elliott Tallis
no flags Details
File: cpuinfo (2.56 KB, text/plain)
2022-04-05 16:33 UTC, Elliott Tallis
no flags Details
File: dso_list (1.10 KB, text/plain)
2022-04-05 16:33 UTC, Elliott Tallis
no flags Details
File: environ (1.68 KB, text/plain)
2022-04-05 16:33 UTC, Elliott Tallis
no flags Details
File: exploitable (82 bytes, text/plain)
2022-04-05 16:33 UTC, Elliott Tallis
no flags Details
File: limits (1.29 KB, text/plain)
2022-04-05 16:33 UTC, Elliott Tallis
no flags Details
File: maps (3.93 KB, text/plain)
2022-04-05 16:33 UTC, Elliott Tallis
no flags Details
File: mountinfo (3.37 KB, text/plain)
2022-04-05 16:33 UTC, Elliott Tallis
no flags Details
File: open_fds (3.70 KB, text/plain)
2022-04-05 16:33 UTC, Elliott Tallis
no flags Details
File: proc_pid_status (1.41 KB, text/plain)
2022-04-05 16:33 UTC, Elliott Tallis
no flags Details

Description Elliott Tallis 2022-04-05 16:33:38 UTC
Description of problem:
The application was in the background and unused for a relatively extended period of time when this error occured.

Version-Release number of selected component:
quassel-client-0.14.0-1.fc35

Additional info:
reporter:       libreport-2.15.2
backtrace_rating: 4
cmdline:        quasselclient
crash_function: MessageModel::changeOfDay
executable:     /usr/bin/quasselclient
journald_cursor: s=1fb5515a883d4f619e17f058f92eaec6;i=2ac7e;b=5c8798c1cfc54de69b304cb05ff3282c;m=2590b85761;t=5dbea0ef32555;x=577f48bc9571d990
kernel:         5.16.18-200.fc35.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1337

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 MessageModel::changeOfDay at /usr/src/debug/quassel-0.14.0-1.fc35.x86_64/src/client/messagemodel.cpp:368
 #1 QtPrivate::QSlotObjectBase::call at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
 #2 doActivate<false> at kernel/qobject.cpp:3886
 #3 QMetaObject::activate at kernel/qobject.cpp:3946
 #4 QTimer::timeout at .moc/moc_qtimer.cpp:205
 #5 QObject::event at kernel/qobject.cpp:1336
 #6 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3632
 #7 QCoreApplication::notifyInternal2 at kernel/qcoreapplication.cpp:1064
 #8 QTimerInfoList::activateTimers at kernel/qtimerinfo_unix.cpp:643
 #9 timerSourceDispatch at kernel/qeventdispatcher_glib.cpp:183

Comment 1 Elliott Tallis 2022-04-05 16:33:41 UTC
Created attachment 1870900 [details]
File: backtrace

Comment 2 Elliott Tallis 2022-04-05 16:33:43 UTC
Created attachment 1870901 [details]
File: cgroup

Comment 3 Elliott Tallis 2022-04-05 16:33:44 UTC
Created attachment 1870902 [details]
File: core_backtrace

Comment 4 Elliott Tallis 2022-04-05 16:33:45 UTC
Created attachment 1870903 [details]
File: cpuinfo

Comment 5 Elliott Tallis 2022-04-05 16:33:46 UTC
Created attachment 1870904 [details]
File: dso_list

Comment 6 Elliott Tallis 2022-04-05 16:33:48 UTC
Created attachment 1870905 [details]
File: environ

Comment 7 Elliott Tallis 2022-04-05 16:33:49 UTC
Created attachment 1870906 [details]
File: exploitable

Comment 8 Elliott Tallis 2022-04-05 16:33:51 UTC
Created attachment 1870907 [details]
File: limits

Comment 9 Elliott Tallis 2022-04-05 16:33:52 UTC
Created attachment 1870908 [details]
File: maps

Comment 10 Elliott Tallis 2022-04-05 16:33:54 UTC
Created attachment 1870909 [details]
File: mountinfo

Comment 11 Elliott Tallis 2022-04-05 16:33:55 UTC
Created attachment 1870910 [details]
File: open_fds

Comment 12 Elliott Tallis 2022-04-05 16:33:56 UTC
Created attachment 1870911 [details]
File: proc_pid_status

Comment 13 Chris Egeland 2022-04-26 15:41:21 UTC
Hi, thanks for the bug report. This issue doesn't appear to be Fedora-specific, so I reported it upstream. https://bugs.quassel-irc.org/issues/1813

One of the upstream developers, digitalcircuit, has written what we believe is a fix for this issue. https://github.com/quassel/quassel/pull/603

Once we push 0.14.1 (ETA currently unknown) we will update this bug with more info if needed.

Comment 14 Ben Cotton 2022-11-29 18:42:20 UTC
This message is a reminder that Fedora Linux 35 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 35 on 2022-12-13.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '35'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 35 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 15 Ben Cotton 2022-12-13 17:31:59 UTC
Fedora Linux 35 entered end-of-life (EOL) status on 2022-12-13.

Fedora Linux 35 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.